Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
stl_util.h File Reference
`#include <vector>`
`#include <string>`
`#include <map>`
`#include <set>`
`#include <botan/secmem.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
template<typename K , typename V >
std::set< K > | Botan::map_keys_as_set (const std::map< K, V > &kv)
template<typename T , typename Pred >
void | Botan::map_remove_if (Pred pred, T &assoc)
template<typename K , typename V >
void | Botan::multimap_insert (std::multimap< K, V > &multimap, const K &key, const V &value)
template<typename K , typename V >
V | Botan::search_map (const std::map< K, V > &mapping, const K &key, const V &null_result=V())
template<typename K , typename V , typename R >
R | Botan::search_map (const std::map< K, V > &mapping, const K &key, const R &null_result, const R &found_result)
std::vector< uint8_t > | Botan::to_byte_vector (const std::string &s)
std::string | Botan::to_string (const secure_vector< uint8_t > &bytes)
template<typename T >
bool | Botan::value_exists (const std::vector< T > &vec, const T &val)